Skip to main content
GET
/
conferences
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const conference = await client.conferences.retrieve('id');

console.log(conference.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
conference = client.conferences.retrieve(
id="id",
)
print(conference.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
conference, err := client.Conferences.Get(
context.TODO(),
"id",
telnyx.ConferenceGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", conference.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.conferences.ConferenceRetrieveParams;
import com.telnyx.sdk.models.conferences.ConferenceRetrieveResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

ConferenceRetrieveResponse conference = client.conferences().retrieve("id");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

conference = telnyx.conferences.retrieve("id")

puts(conference)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$conference = $client->conferences->retrieve('id', region: 'Australia');

var_dump($conference);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx conferences retrieve \
--api-key 'My API Key' \
--id id
curl --request GET \
--url https://api.telnyx.com/v2/conferences/{id} \
--header 'Authorization: Bearer <token>'
{
  "data": {
    "record_type": "conference",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "All hands meeting",
    "created_at": "2019-01-23T18:10:02.574Z",
    "expires_at": "2019-01-23T18:10:02.574Z",
    "updated_at": "2019-01-23T18:10:02.574Z",
    "region": "sv1",
    "status": "completed",
    "end_reason": "all_left",
    "ended_by": {
      "call_control_id": "v2:T02llQxIyaRkhfRKxgAP8nY511EhFLizdvdUKJiSw8d6A9BborherQczRrZvZakpWxBlpw48KyZQ==",
      "call_session_id": "428c31b6-abf3-3bc1-b7f4-5013ef9657c1"
    },
    "connection_id": "3fa85f64-9191-4567-b3fc-2c963f66afa6"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Uniquely identifies the conference by id

Query Parameters

region
enum<string>

Region where the conference data is located

Available options:
Australia,
Europe,
Middle East,
US

Response

Successful response with details about a conference.

data
Conference · object
Example:
{
"record_type": "conference",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "All hands meeting",
"created_at": "2019-01-23T18:10:02.574Z",
"expires_at": "2019-01-23T18:10:02.574Z",
"updated_at": "2019-01-23T18:10:02.574Z",
"region": "sv1",
"status": "completed",
"end_reason": "all_left",
"ended_by": {
"call_control_id": "v2:T02llQxIyaRkhfRKxgAP8nY511EhFLizdvdUKJiSw8d6A9BborherQczRrZvZakpWxBlpw48KyZQ==",
"call_session_id": "428c31b6-abf3-3bc1-b7f4-5013ef9657c1"
},
"connection_id": "3fa85f64-9191-4567-b3fc-2c963f66afa6"
}